Main Page Widgets Namespaces Book

# Gtk::IconView Class Reference
[Widgets, Container Widgets]

Inheritance diagram for Gtk::IconView:
[legend]
List of all members.

## Detailed Description

TODO.

## Public Types

typedef sigc::slot< void, const TreeModel::Path& > | SlotForeach
| For instance, void on_foreach(const Gtk::TreeModel::Path& path);.
typedef Glib::ListHandle< TreePath, TreePathTraits > | ArrayHandle_TreePaths

## Public Member Functions

virtual | ~IconView ()
GtkIconView* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkIconView* | gobj () const
| Provides access to the underlying C GtkObject.
| IconView ()
| IconView (const Glib::RefPtr<TreeModel>& model)
void | set_model (const Glib::RefPtr<TreeModel>& model)
Glib::RefPtr<TreeModel> | get_model ()
Glib::RefPtr<const TreeModel> | get_model () const
void | set_text_column (int column)
void | set_text_column (const TreeModelColumnBase& model_column)
int | get_text_column () const
void | set_markup_column (int column)
void | set_markup_column (const TreeModelColumnBase& column)
int | get_markup_column () const
void | set_pixbuf_column (int column)
void | set_pixbuf_column (const TreeModelColumnBase& column)
int | get_pixbuf_column () const
void | set_orientation (Orientation orientation)
Orientation | get_orientation () const
TreeModel::Path | get_path_at_pos (int x, int y) const
void | selected_foreach (const SlotForeach& slot)
| Calls a function for each selected icon.
void | set_selection_mode (SelectionMode mode)
SelectionMode | get_selection_mode () const
void | select_path (const TreeModel::Path& path)
void | unselect_path (const TreeModel::Path& path)
bool | path_is_selected (const TreeModel::Path& path) const
ArrayHandle_TreePaths | get_selected_items () const
void | select_all ()
void | unselect_all ()
void | item_activated (const TreeModel::Path& path)
Glib::SignalProxy2< void, Adjustment*, Adjustment* > | signal_set_scroll_adjustments ()
Glib::SignalProxy1< void, const TreeModel::Path& > | signal_item_activated ()
Glib::SignalProxy0<void> | signal_selection_changed ()

## Protected Member Functions

virtual void | on_set_scroll_adjustments (Adjustment* hadjustment, Adjustment* vadjustment)
virtual void | on_item_activated (const TreeModel::Path& path)
virtual void | on_selection_changed ()

## Related Functions

(Note that these are not member functions.)
Gtk::IconView* | wrap (GtkIconView* object, bool take_copy=false)

## Member Typedef Documentation

typedef Glib::ListHandle<TreePath, TreePathTraits> Gtk::IconView::ArrayHandle_TreePaths

typedef sigc::slot<void, const TreeModel::Path&> Gtk::IconView::SlotForeach

| For instance, void on_foreach(const Gtk::TreeModel::Path& path);.

## Constructor & Destructor Documentation

virtual Gtk::IconView::~IconView | ( |  | ) | `[virtual]`

Gtk::IconView::IconView | ( |  | ) |

Gtk::IconView::IconView | ( | const Glib::RefPtr<TreeModel>& | model | ) | `[explicit]`

## Member Function Documentation

int Gtk::IconView::get_markup_column | ( |  | ) | const

Glib::RefPtr<const TreeModel> Gtk::IconView::get_model | ( |  | ) | const

Glib::RefPtr<TreeModel> Gtk::IconView::get_model | ( |  | ) |

Orientation Gtk::IconView::get_orientation | ( |  | ) | const

TreeModel::Path Gtk::IconView::get_path_at_pos | ( | int | x,
|  | int | y
| ) | const

int Gtk::IconView::get_pixbuf_column | ( |  | ) | const

ArrayHandle_TreePaths Gtk::IconView::get_selected_items | ( |  | ) | const

SelectionMode Gtk::IconView::get_selection_mode | ( |  | ) | const

int Gtk::IconView::get_text_column | ( |  | ) | const

const GtkIconView* Gtk::IconView::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Container.

GtkIconView* Gtk::IconView::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Container.

void Gtk::IconView::item_activated | ( | const TreeModel::Path& | path | ) |

virtual void Gtk::IconView::on_item_activated | ( | const TreeModel::Path& | path | ) | `[protected, virtual]`

virtual void Gtk::IconView::on_selection_changed | ( |  | ) | `[protected, virtual]`

virtual void Gtk::IconView::on_set_scroll_adjustments | ( | Adjustment* | hadjustment,
|  | Adjustment* | vadjustment
| ) | `[protected, virtual]`

bool Gtk::IconView::path_is_selected | ( | const TreeModel::Path& | path | ) | const

void Gtk::IconView::select_all | ( |  | ) |

void Gtk::IconView::select_path | ( | const TreeModel::Path& | path | ) |

void Gtk::IconView::selected_foreach | ( | const SlotForeach& | slot | ) |

Calls a function for each selected icon.

Note that the model or selection cannot be modified from within this function.

Since: 2.6

Parameters:

  | slot | The callback to call for each selected icon.

void Gtk::IconView::set_markup_column | ( | const TreeModelColumnBase& | column | ) |

void Gtk::IconView::set_markup_column | ( | int | column | ) |

void Gtk::IconView::set_model | ( | const Glib::RefPtr<TreeModel>& | model | ) |

void Gtk::IconView::set_orientation | ( | Orientation | orientation | ) |

void Gtk::IconView::set_pixbuf_column | ( | const TreeModelColumnBase& | column | ) |

void Gtk::IconView::set_pixbuf_column | ( | int | column | ) |

void Gtk::IconView::set_selection_mode | ( | SelectionMode | mode | ) |

void Gtk::IconView::set_text_column | ( | const TreeModelColumnBase& | model_column | ) |

void Gtk::IconView::set_text_column | ( | int | column | ) |

Glib::SignalProxy1<void,const TreeModel::Path&> Gtk::IconView::signal_item_activated | ( |  | ) |

Glib::SignalProxy0<void> Gtk::IconView::signal_selection_changed | ( |  | ) |

Glib::SignalProxy2<void,Adjustment*,Adjustment*> Gtk::IconView::signal_set_scroll_adjustments | ( |  | ) |

void Gtk::IconView::unselect_all | ( |  | ) |

void Gtk::IconView::unselect_path | ( | const TreeModel::Path& | path | ) |

## Friends And Related Function Documentation

Gtk::IconView* wrap | ( | GtkIconView* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- iconview.h